Bug 201300 - Make NetworkConnectionToWebProcess keyed by its WebProcess identifier
Summary: Make NetworkConnectionToWebProcess keyed by its WebProcess identifier
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks: 201299
  Show dependency treegraph
 
Reported: 2019-08-29 06:03 PDT by youenn fablet
Modified: 2019-09-02 02:32 PDT (History)
3 users (show)

See Also:


Attachments
Patch (23.60 KB, patch)
2019-08-29 06:14 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (26.48 KB, patch)
2019-08-30 03:11 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (26.50 KB, patch)
2019-08-30 03:55 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Fix Wincairo (27.46 KB, patch)
2019-09-01 23:06 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-08-29 06:03:33 PDT
Make NetworkConnectionToWebProcess keyed by their WebProcess identifier
Comment 1 youenn fablet 2019-08-29 06:14:06 PDT
Created attachment 377572 [details]
Patch
Comment 2 youenn fablet 2019-08-30 03:11:44 PDT
Created attachment 377691 [details]
Patch
Comment 3 youenn fablet 2019-08-30 03:55:17 PDT
Created attachment 377695 [details]
Patch
Comment 4 Alex Christensen 2019-08-30 08:36:38 PDT
Comment on attachment 377695 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=377695&action=review

> Source/WebKit/NetworkProcess/NetworkProcess.cpp:389
> +    return std::make_pair(socketPair.server, IPC::Attachment { socketPair.client });

You could use {} instead of std::make_pair

> Source/WebKit/NetworkProcess/NetworkProcess.cpp:420
> +        completionHandler({ });

WTF::null opt
Comment 5 youenn fablet 2019-09-01 23:01:39 PDT
(In reply to Alex Christensen from comment #4)
> Comment on attachment 377695 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=377695&action=review
> 
> > Source/WebKit/NetworkProcess/NetworkProcess.cpp:389
> > +    return std::make_pair(socketPair.server, IPC::Attachment { socketPair.client });
> 
> You could use {} instead of std::make_pair

The function returns an Optional<std::pair> so we need to return a pair explicitly here.
Comment 6 youenn fablet 2019-09-01 23:06:48 PDT
Created attachment 377840 [details]
Fix Wincairo
Comment 7 WebKit Commit Bot 2019-09-02 02:31:45 PDT
Comment on attachment 377840 [details]
Fix Wincairo

Clearing flags on attachment: 377840

Committed r249379: <https://trac.webkit.org/changeset/249379>
Comment 8 WebKit Commit Bot 2019-09-02 02:31:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-09-02 02:32:18 PDT
<rdar://problem/54945251>